Get dashboard
curl --request GET \
--url https://api.sidenet.ai/v1/dashboards/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sidenet.ai/v1/dashboards/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sidenet.ai/v1/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sidenet.ai/v1/dashboards/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sidenet.ai/v1/dashboards/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sidenet.ai/v1/dashboards/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sidenet.ai/v1/dashboards/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dashboard": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"timezone": "<string>",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active_version": {
"id": "<string>",
"number": 123,
"created_at": "<string>"
},
"last_run_id": "<string>",
"last_refreshed_at": "<string>",
"last_refresh_status": "<string>",
"refresh_schedule_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"version": {
"id": "<string>",
"number": 123,
"created_at": "<string>"
},
"spec": {},
"filters": {
"schema": [
{}
],
"values": {}
},
"data": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"started_at": "2023-11-07T05:31:56Z",
"refreshed_at": "2023-11-07T05:31:56Z",
"filters": {},
"panels": [
{
"id": "<string>",
"kind": "stats",
"title": "<string>",
"span": 123,
"height": "sm",
"component": {},
"markdown": "<string>"
}
],
"error": "<string>"
}
}Dashboards
Get dashboard
One dashboard: its spec (filters, panels and their layout), the filter values the page opens on, and the data of its latest refresh (each panel with the payload to render). version shows an earlier published version’s spec instead of the active one (its data stays null until it is activated and refreshed). A session token only sees its own.
GET
/
v1
/
dashboards
/
{id}
Get dashboard
curl --request GET \
--url https://api.sidenet.ai/v1/dashboards/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sidenet.ai/v1/dashboards/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sidenet.ai/v1/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sidenet.ai/v1/dashboards/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sidenet.ai/v1/dashboards/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sidenet.ai/v1/dashboards/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sidenet.ai/v1/dashboards/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dashboard": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"timezone": "<string>",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active_version": {
"id": "<string>",
"number": 123,
"created_at": "<string>"
},
"last_run_id": "<string>",
"last_refreshed_at": "<string>",
"last_refresh_status": "<string>",
"refresh_schedule_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"version": {
"id": "<string>",
"number": 123,
"created_at": "<string>"
},
"spec": {},
"filters": {
"schema": [
{}
],
"values": {}
},
"data": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"started_at": "2023-11-07T05:31:56Z",
"refreshed_at": "2023-11-07T05:31:56Z",
"filters": {},
"panels": [
{
"id": "<string>",
"kind": "stats",
"title": "<string>",
"span": 123,
"height": "sm",
"component": {},
"markdown": "<string>"
}
],
"error": "<string>"
}
}Authorizations
bearerAuthsessionToken
Organization API key, generated in studio.sidenet.ai. Backend only — never in a browser.
Path Parameters
Query Parameters
A published version number; default the active version.
Response
The dashboard
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The version's spec: filters, sources, panels (layout: span, height, order).
Show child attributes
Show child attributes
The latest refresh, or null when the dashboard was never refreshed.
Show child attributes
Show child attributes